Bug 170801 - @reboot, @yearly, etc. not documented
@reboot, @yearly, etc. not documented
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On: 107542
Blocks: 161600
  Show dependency treegraph
 
Reported: 2005-10-14 12:05 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005:0117
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-01 13:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-10-14 12:05:48 EDT
+++ This bug was initially created as a clone of Bug #107542 +++

Description of problem:
crontab(5) does not document the following "run at" features 
(around line 110 in entry.c)

@reboot        Run once, at startup.
@yearly        Run once a year, "0 0 1 1 *".
@monthly       Run once a month, "0 0 1 * *".
@weekly        Run once a week, "0 0 * * 0".
@daily         Run once a day, "0 0 * * *".
@hourly        Run once an hour, "0 * * * *".

It would be nice if it did ;-)


Originally spotted at
<http://nelson.monkey.org/~nelson/weblog/tech/crontabReboot.html> I think.

-- Additional comment from mitr@volny.cz on 2004-02-07 11:45 EST --
*** Bug 110188 has been marked as a duplicate of this bug. ***

-- Additional comment from jvdias@redhat.com on 2004-08-10 13:35 EST --
fixed in vixie-cron-4.1-8 .
Comment 1 Jason Vas Dias 2005-10-14 12:06:44 EDT
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
  http://people.redhat.com/~jvdias/cron/RHEL-3
and should be considered for inclusion in RHEL-3-U7 .
Comment 3 Jason Vas Dias 2006-05-01 13:55:45 EDT
Fixed with vixie-cron-4.1-10.EL3, currently in RHEL-3-U7 with errata
RHSA-2005:0117.

Note You need to log in before you can comment on or make changes to this bug.